Mettez à jour la version php du serveur vers la version 5.4.10 via la ligne de commande

24

Je mets en place un vps pour la première fois à partir de zéro, l’hôte a un programme d’installation LAMP en un clic qui a éliminé tout le travail, mais en exécutant phpinfo(); i a été exécuté en 5.3.10.

Donc, je voudrais le mettre à jour à 5.4.10 - J'ai exécuté sudo apt-get install php5 libapache2-mod-php5 php5-mcrypt mais il dit que php5 est la dernière version, des idées sur la façon de mettre à jour ça?

Le serveur exécute Ubuntu 12.04

    
posée sam 10.09.2013 - 01:04
la source

3 réponses

34

PHP 5.4.10 n'est pas disponible dans les dépôts Ubuntu pour 12.04.

Vous avez deux options:

(1) essayez de trouver un PPA avec une version backportée de PHP 5.4.10 (tel que le PPA oldstable d’ondrej)

  

a) Exécutez cette commande: sudo apt-get install python-software-properties
  b) Exécutez cette commande: sudo add-apt-repository ppa:ondrej/php5-oldstable
  c) Exécuter sudo apt-get update; sudo apt-get install php5
  d) Cela devrait vous permettre d’utiliser PHP 5.4.10 (ou quel que soit le plus récent "Old Stable PHP").

(2) téléchargez PHP depuis la source et compilez-le.

5.4.10 n’existe apparemment pas dans les référentiels pour toutes les versions d’Ubuntu, donc vous êtes bloqué avec ces deux options pour toutes les versions.

(Je peux essayer de backport 5.4.10 à partir de Debian si vous le souhaitez, mais ce serait dans un PPA, donc vous devriez être sûr que je ne vous donne pas de malware, bien que je ne le fasse pas jamais.)

    
réponse donnée Thomas Ward 10.09.2013 - 01:37
la source
2

Installation de PHP 5.4. * sur Ubuntu 12.04 Ajoutez simplement le référentiel PPA:

sudo add-apt-repository ppa:ondrej/php5-oldstable

Et installez-le:

sudo apt-get update
sudo apt-get install php5
    
réponse donnée Kamlesh 28.09.2014 - 14:56
la source
0

Vous n'avez pas besoin d'ajouter de référentiels. Utilisez simplement ces étapes:

  1. sudo add-apt-repository ppa:ondrej/php5-oldstable
  2. sudo apt-get update
  3. sudo apt-get install php5

ça y est.

    
réponse donnée rahul kumar 12.09.2015 - 04:52
la source

Lire d'autres questions sur les étiquettes